library(ggplot2)

BSW <- read.csv("./Data/helsinki_random_black_holes_BSW.csv")
BSW_df <- data.frame(x = BSW$black_holes, y = BSW$buffertime_med)
BSW_df <- aggregate(BSW_df[, 2:2], list(BSW_df$x), mean)
BSW_df['Experiment']='Black Holes - Binary Spray and Wait'

MP <- read.csv("./Data/helsinki_random_black_holes_MP.csv")
MP_df <- data.frame(x = MP$black_holes, y = MP$buffertime_med)
MP_df <- aggregate(MP_df[, 2:2], list(MP_df$x), mean)
MP_df['Experiment']='Black Holes - MaxProp'

PH <- read.csv("./Data/helsinki_random_black_holes_PH.csv")
PH_df <- data.frame(x = PH$black_holes, y = PH$buffertime_med)
PH_df <- aggregate(PH_df[, 2:2], list(PH_df$x), mean)
PH_df['Experiment']='Black Holes - PRoPHET'

EP <- read.csv("./Data/helsinki_random_black_holes_EP.csv")
EP_df <- data.frame(x = EP$black_holes, y = EP$buffertime_med)
EP_df <- aggregate(EP_df[, 2:2], list(EP_df$x), mean)
EP_df['Experiment']='Black Holes - Epidemic'

BSW_GH <- read.csv("./Data/helsinki_random_grey_holes_BSW.csv")
BSW_GH_df <- data.frame(x = BSW_GH$black_holes, y = BSW_GH$buffertime_med)
BSW_GH_df <- aggregate(BSW_GH_df[, 2:2], list(BSW_GH_df$x), mean)
BSW_GH_df['Experiment']='Grey Holes - Binary Spray and Wait'

MP_GH <- read.csv("./Data/helsinki_random_grey_holes_MP.csv")
MP_GH_df <- data.frame(x = MP_GH$black_holes, y = MP_GH$buffertime_med)
MP_GH_df <- aggregate(MP_GH_df[, 2:2], list(MP_GH_df$x), mean)
MP_GH_df['Experiment']='Grey Holes - MaxProp'

PH_GH <- read.csv("./Data/helsinki_random_grey_holes_PH.csv")
PH_GH_df <- data.frame(x = PH_GH$black_holes, y = PH_GH$buffertime_med)
PH_GH_df <- aggregate(PH_GH_df[, 2:2], list(PH_GH_df$x), mean)
PH_GH_df['Experiment']='Grey Holes - PRoPHET'

EP_GH <- read.csv("./Data/helsinki_random_grey_holes_EP.csv")
EP_GH_df <- data.frame(x = EP_GH$black_holes, y = EP_GH$buffertime_med)
EP_GH_df <- aggregate(EP_GH_df[, 2:2], list(EP_GH_df$x), mean)
EP_GH_df['Experiment']='Grey Holes - Epidemic'

data <- rbind(rbind(BSW_df, MP_df, PH_df, EP_df, BSW_GH_df, MP_GH_df, PH_GH_df, EP_GH_df))

png(filename='combined_average_buffertime_med.png')
ggplot(data, aes(x = Group.1, y = x)) +
  geom_point(aes(colour = Experiment)) + # Points and color by group
  geom_smooth(se = FALSE, aes(colour = Experiment)) +
  ggtitle("Average Median Buffer Time") +
  scale_color_discrete("Experiment Settings") +  # Change legend title
  xlab("% Attacking Vehicles") +              # X-axis label
  ylab("Median Buffer Time (s)")  +             # Y-axis label
  theme(axis.line = element_line(colour = "black", size = 0.24))

dev.off()
