library(ggplot2)

BSW <- read.csv("./Data/helsinki_random_black_holes_BSW.csv")
MP <- read.csv("./Data/helsinki_random_black_holes_MP.csv")

BSW_df <- data.frame(x = BSW$black_holes, y = BSW$delivery_prob, group = as.factor(BSW$sim_time))
MP_df <- data.frame(x = MP$black_holes, y = MP$delivery_prob, group = as.factor(MP$sim_time))

BSW_df['protocol']='BSW'
MP_df['protocol']='MP'

data <- rbind(BSW_df, MP_df)


ggplot(subset(data, group == "35100.1"), aes(x = x, y = y)) +
  geom_line(aes(colour = protocol)) + # Points and color by group
  ggtitle("helsinki_random_black_holes_35100.1") +
  scale_color_discrete("Protocol") +  # Change legend title
  xlab("Black Holes") +              # X-axis label
  ylab("Delivery Probability")  +             # Y-axis label
  theme(axis.line = element_line(colour = "black", size = 0.24))