library('plotly')
library('htmlwidgets')
library('RCurl')
library('dplyr')

image_file <- "./Data/helsinki_underlay.png"
txt <- RCurl::base64Encode(readBin(image_file, "raw", file.info(image_file)[1, "size"]), "txt")

data <- read.csv("./Data/single_snap.csv")
#filter(data, node_type == "attacking")
p <- plot_ly(data = data, x = ~x, y = ~-y, color = ~node_type, colors = c("red", "black"))%>%
  layout(
    images = list(
      list(
        source =  paste('data:image/png;base64', txt, sep=','),
        xref = "x",
        yref = "y",
        x = 300,
        y = -70,
        sizex = 4250,
        sizey = 3000,
        sizing = "stretch",
        opacity = 0.4,
        layer = "below"
      )
    )
    
  )
htmlwidgets::saveWidget(p, "single.html")
