import os
import re
import csv
import json

def is_float(n):
    try:
        float(n)
    except ValueError:
        return False
    else:
        return True

current_file = os.path.dirname(os.path.abspath(__file__))
json_string = "["
for subdir, dirs, files in os.walk(current_file):
    for filename in files:
        filepath = subdir + os.sep + filename

        if filepath.endswith("MessageStatsReport.txt"):
            pattern = "M_(.*?)\\\\"
            numberOfBlackHoles = re.search(pattern, filepath[::-1]).group(1)
            numberOfBlackHoles = numberOfBlackHoles[::-1]
            file1 = open(filepath, 'r')
            Lines = file1.readlines()
            
            count = 0
            for line in Lines:
                count += 1
                if count == 1: 
                    json_string = json_string + "{\n\t" + "\"black_holes\": " + numberOfBlackHoles + "," + "\n"
                else:
                    new_line = re.split('[-:]', line.strip())
                    new_line[1] = new_line[1][1:]
                    if is_float(new_line[1]):
                        json_string = json_string + "\t\"" + new_line[0] + "\": " + new_line[1] + "," + "\n"
                    else:
                        json_string = json_string + "\t\"" + new_line[0] + "\": \"" + new_line[1] + "\"," + "\n"
            json_string = json_string[:-2]
            json_string = json_string + "}," + "\n"

json_string = json_string[:-2]
json_string = json_string + "]"
x = json.loads(json_string)

print(x)

f = open("test.csv", 'w', newline='')
r = csv.writer(f)

# Write CSV Header, If you dont need that, remove this line
r.writerow(["black_holes", "sim_time", "created", "started", "relayed", "aborted", "dropped", "removed", "delivered", "delivery_prob",
            "response_prob", "overhead_ratio", "latency_avg", "latency_med", "hopcount_avg", "hopcount_med", "buffertime_avg", "buffertime_med", "rtt_avg", "rtt_med"])

for x in x:
    r.writerow([x["black_holes"],
                x["sim_time"],
                x["created"], 
                x["started"],
                x["relayed"], 
                x["aborted"],
                x["dropped"], 
                x["removed"],
                x["delivered"],
                x["delivery_prob"],
                x["response_prob"], 
                x["overhead_ratio"],
                x["latency_avg"], 
                x["latency_med"],
                x["hopcount_avg"], 
                x["hopcount_med"],
                x["buffertime_avg"], 
                x["buffertime_med"],
                x["rtt_avg"], 
                x["rtt_med"]])

f.close()